Loading...
Searching...
No Matches
BALL::TReadWriteLock< ReadWriteLockType > Class Template Reference

`#include <BALL/SYSTEM/mutex.h>`

Inheritance diagram for BALL::TReadWriteLock< ReadWriteLockType >:

## Public Member Functions

| TReadWriteLock (bool is_recursive=false)

## Detailed Description

template<class ReadWriteLockType>
class BALL::TReadWriteLock< ReadWriteLockType >

This class provides a very thin wrapper around different read-write mutex types. As default, BALL supports QReadWriteLock, but if it has been configured with boost::thread support enabled, boost::mutex can also be used. Similarly, we can simply provide instantiations using, e.g, Intel thread building blocks.

A BALL-mutex needs to provide the functions void lockForRead(), void lockForWrite(), void unlock(), bool tryLockForRead(), and bool tryLockForWrite().

Definition at line 90 of file mutex.h.

## Constructor & Destructor Documentation

## TReadWriteLock()

template<class ReadWriteLockType>

BALL::TReadWriteLock< ReadWriteLockType >::TReadWriteLock | ( | bool | is_recursive = false | ) |

inline

Definition at line 94 of file mutex.h.